%define _unpackaged_files_terminate_build 1
%define __kde4_alternate_placement 1

Name: kdebluetooth4
Version: 0.3
Release: alt3

Summary: Bluetooth framework for KDE4
License: GPLv2+
Group: Communications

Requires: bluez obex-data-server

Url: http://bluetooth.kmobiletools.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.bz2
Patch1: svn.diff

BuildPreReq: gcc-c++ kde4base-workspace-devel

%description
A collection of Bluetooth utilities and modules for KDE4 based on BlueZ.

%prep
%setup
%patch1 -p0

%build
%K4cmake
%K4make

%install
%K4install

%files
%doc AUTHORS ChangeLog TODO
%ifdef __kde4_alternate_placement
%__kde4_bindir/kbluetooth4
%__kde4_bindir/kbluetooth4-inputwizard
%__kde4_bindir/kbluetooth4-devicemanager
%__kde4_xdg_apps/%name.desktop
%__kde4_iconsdir/hicolor/*/apps/*
%else
%_K4bindir/kbluetooth4
%_K4bindir/kbluetooth4-inputwizard
%_K4bindir/kbluetooth4-devicemanager
%_K4xdg_apps/%name.desktop
%_K4iconsdir/hicolor/*/apps/*
%endif

%changelog
* Thu Mar 19 2009 Sergey V Turchin <zerg at altlinux dot org> 0.3-alt3
- add some fixes from svn (enables KBlueLock)

* Mon Feb 09 2009 Sergey V Turchin <zerg at altlinux dot org> 0.3-alt2
- 0.3

* Fri Feb 06 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 0.3-alt1.svn922288.1
- svn 922288

* Thu Sep 04 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.2-alt1
- 0.2

* Sat Aug 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.1-alt1
- initial build
